#### 4.22.3.1 ambientDimension

`Syntax:`
  `ambientDimension(` cone c `)`
  `ambientDimension(` fan f `)`
  `ambientDimension(` polytope p `)`
`Type:`
  int
`Purpose:`
  ambient dimension of the cone;
`Example:`

      LIB"gfanlib.so";
      intmat M1[2][2]=
      1,0,
      0,1;
      cone c1=coneViaPoints(M1);
      ambientDimension(c1);
      ==> 2
      intmat M2[2][3]=
      1,0,0,
      0,1,0;
      cone c2=coneViaPoints(M2);
      ambientDimension(c2);
      ==> 3

User manual for Singular version 4-0-3, 2016, generated by texi2html.